## edu.stanford.nlp.process
Class WhitespaceTokenizer.WhitespaceTokenizerFactory

    java.lang.Object
      edu.stanford.nlp.process.WhitespaceTokenizer.WhitespaceTokenizerFactory

All Implemented Interfaces:
  IteratorFromReaderFactory<Word>, TokenizerFactory<Word>

Enclosing class:
  WhitespaceTokenizer

    public static class WhitespaceTokenizer.WhitespaceTokenizerFactory

extends Object
implements TokenizerFactory<Word>

A factory which vends WhitespaceTokenizers.

Author:
  Christopher Manning

Constructor Summary
`WhitespaceTokenizer.WhitespaceTokenizerFactory()`
`WhitespaceTokenizer.WhitespaceTokenizerFactory(boolean eolIsSignificant)`

Method Summary
`Iterator<Word>` `getIterator(Reader r)`
`Tokenizer<Word>` `getTokenizer(Reader r)`
`static TokenizerFactory<Word>` `newTokenizerFactory()` Constructs a new TokenizerFactory that returns Word objects and treats carriage returns as normal whitespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhitespaceTokenizer.WhitespaceTokenizerFactory

    public WhitespaceTokenizer.WhitespaceTokenizerFactory()

### WhitespaceTokenizer.WhitespaceTokenizerFactory

    public WhitespaceTokenizer.WhitespaceTokenizerFactory(boolean eolIsSignificant)

Method Detail

### newTokenizerFactory

    public static TokenizerFactory<Word> newTokenizerFactory()

  Constructs a new TokenizerFactory that returns Word objects and treats carriage returns as normal whitespace. THIS METHOD IS INVOKED BY REFLECTION BY SOME OF THE JAVANLP CODE TO LOAD A TOKENIZER FACTORY. IT SHOULD BE PRESENT IN A TokenizerFactory.

  Returns:
    A TokenizerFactory that returns Word objects

### getIterator

    public Iterator<Word> getIterator(Reader r)

  Specified by:
    `getIterator` in interface `IteratorFromReaderFactory<Word>`

### getTokenizer

    public Tokenizer<Word> getTokenizer(Reader r)

  Specified by:
    `getTokenizer` in interface `TokenizerFactory<Word>`

Stanford NLP Group